/*
* Formulari 'votació' 
*/
/* Grid pàgina */
.grid-container {
  display: grid;
  margin-top: clamp(100px,7vw,150px);
  grid-template-columns: auto auto auto;
  grid-template-rows: 0 auto auto;
}

.grid-vote {
  grid-area: 2/2 / 2/3;
}

/* Estructura Grid vote */
/* Row img-rangeSliders-chart */
.grid-vote {
  display: grid;
  grid-template-columns: 50vw 40vw;
  grid-template-rows: auto auto auto;
  row-gap: 2.5vw;
  margin-bottom: 2.5vw;
}

.grid-title {
  color: var(--main-text2);
  grid-area: 1/1 / 1/2;
  margin-top: 2vw;
  opacity: 0.6;
  -webkit-animation: appear 2s ease forwards 0.5s;
  animation: appear 2s ease forwards 0.5s;
}
  .grid-title .secondaryTitle{
      font-weight:800;
      font-size: clamp(22px,2.5vw,2.5vw);
  }
  

/* card foto i sliders */
.image-range {
  grid-area: 2/1 / 2/2;
  border: 0.3px solid var(--main-cardsBorder2);
}

.cardVote {
  grid-area: 1/1 / 1/2;
  overflow: hidden;
  border-radius: 1vw 0vw 0vw 1vw;
  display: flex;
  flex-direction: row;
  justify-content: center;
}

.rangeVote {
  grid-area: 1/2 / 1/3;
  -ms-flex-item-align: center;
  align-self: center;
  height:100%;
}

/* chart */
.valueVote {
  grid-area: 2/2 / 2/3;
}

/* textArea */
.textAreaVote {
  grid-area: 3/1 / 3/2;
}

/* Característiques Elements */
.image-range {
  display: grid;
  grid-template-columns: 18vw 32vw;
  grid-template-rows: 30vw;
  background-color: var(--main-background-clear2);
  border-radius: 1vw 1vw 1vw 1vw;
  -webkit-box-shadow: -0.5vw 0.5vw 1vw rgba(0, 0, 0, 0.25);
  box-shadow: -0.5vw 0.5vw 1vw rgba(0, 0, 0, 0.25);
}

.cardVote img {
  height: 100%;
  opacity: 0.6;
  -webkit-animation: appear 2s ease forwards 0.5s;
  animation: appear 2s ease forwards 0.5s;
}

.rangeSlider {
    margin-top: 3%;
    padding: 0 2.5vw;
    height: 15%;
}

.valueVote {
  -ms-flex-item-align: center;
  align-self: center;
}

/* RangeSlider */
/* Barra slider */
.slider {
  -webkit-appearance: none;
  width: 100%;
  height: 0.2vw;
  min-height: 2px;
  border-radius: 0.2vw;
  background: var(--main-slider);
  outline: none;
  opacity: 0.5;
  -webkit-transition: 0.2s;
  -webkit-transition: opacity 0.2s;
  transition: opacity 0.2s;
}

/* Botó slider */
.slider::-webkit-slider-thumb {
  -webkit-appearance: none;
  appearance: none;
  width: 0.3vw;
  height: 1.4vw;
  background: rgb(70, 70, 70);
  cursor: pointer;
}

.slider::-moz-range-thumb {
  width: 0.3vw;
  height: 1.4vw;
  border-radius: 0.2vw;
  background: rgb(70, 70, 70);
  cursor: pointer;
}

/* Row textArea */
.textAreaVote  {
  margin-top: 2vw;
}
.textAreaVote textarea {
  width: 50vw;
  height: 15vw;
  background-color: var(--main-background-clear2);
  border-radius: 1vw 1vw 1vw 1vw;
  -webkit-box-shadow: -0.5vw 0.5vw 1vw rgba(0, 0, 0, 0.25);
  box-shadow: -0.5vw 0.5vw 1vw rgba(0, 0, 0, 0.25);
  border: none;
  border: 0.3px solid var(--main-cardsBorder2);
  margin-top: 0.5vw;
  padding: 1vw;
}

.textAreaVote h1 {
  opacity: 0.6;
  -webkit-animation: appear 2s ease forwards 0.5s;
  animation: appear 2s ease forwards 0.5s;
  color: var(--main-text2);
}
.textAreaVote input{
  color: white !important;
}
.buttonValue {
  margin-top: 2.5vw;
  padding: 0.75vw 1vw;
  cursor: pointer;
  background: var(--main-background-dark);
  font-size: 16px;
  font-family: 'Open Sans', sans-serif;
  -webkit-transition: 0.15s all ease-in-out;
  transition: 0.15s all ease-in-out;
}

.textAreaVote button + button {
  float: right;
}

.buttonValue:hover {
  opacity:0.8;
}

/* Text chart */
.textGraph,.value {
  font-size: clamp(12px,1.1vw,1.1vw);
}
.value {
  font-size: clamp(16px,1.3vw,1.3vw);
}

.photographyGraph {
  top: -12%;
}

.photographyGraph.value {
  top: -5%;
}

/* Chart */
.chartPlantillaFilm {
  margin-top: 4vh;
  width: 30vw;
  height: 20vw;
}

/* Animacions */
@-webkit-keyframes appear {
  to {
    opacity: 1;
  }
}

@keyframes appear {
  to {
    opacity: 1;
  }
}

input[type=range]::-webkit-slider-thumb {
  height:1.5vw;
  min-height: 12px !important;
  width:0.6vw;
  min-width:6px;
  border-radius:0.2vw;
  background:var(--main-background-color);
  border: 0.5px solid var(--main-thumb);
}
/*
* Canvi de tamany pantalla
*/
@media (max-width: 800px) {
 .grid-vote {
       grid-template-columns: 60vw 30vw;
 }
 .image-range {
    grid-template-rows: 36vw;
    grid-template-columns: 22vw 38vw;
 }
  .valueVote {
    width: 140%;
    transform: translateX(-8%);
  }
  .textAreaVote textarea {
    width: 90vw;
  }
.textAreaVote {
    grid-area: 3/1 / 3/3;
}
.textAreaVote textarea {
    height: 20vw;
}
    
}



/*
* Canvi a mòbil
*/
@media (max-width: 576px) {
  /* Estructura pàgina */

  .rangeSlider label {
    font-size: 1em;
  }
  .textAreaVote textarea {
    height: 55vw;
}
}
@media (max-width: 530px){
 .cardVote {
    transform: translateY(-110%);
    }
 .image-range {
    grid-template-rows: 45vw;
    }
 .grid-title {
      margin-bottom:50vw;
    }
 .valueVote {
    transform: translate(-20VW,-50VW);
    }
 .grid-title {
    grid-column-start: 1;
    grid-column-end: 3;
    }
 .image-range {
    grid-template-columns: 28vw 60vw;
    width: 90vw;
    min-height: 250px;
    }
 .rangeVote {
    margin-left: -28vw;
    align-self: auto;
    height: 100%;
    min-height: 200px;
    }
.valueVote {
    width: 270px;
    transform: translate(-25VW,-60VW);
}
.rangeVote {
  display: flex;
  flex-direction: column;
  flex-wrap: nowrap;
  justify-content: space-around;
}
.range-slider{
    margin-top:0;
}
}

@media (max-width: 450px){
.image-range {
    min-height: 240px;
}
}
    
    
@media (max-width: 400px){
 .valueVote {
    transform: translate(-35VW,-64VW);
} 
.image-range {
    min-height: 230px;
}
  .textAreaVote textarea {
    height: 50vw;
}
}
@media (max-width: 300px){
.valueVote {
    width: 200px;
    transform: translate(-35VW,-70VW);
}
}